set rev=`grep APPV_REVISION revision.txt | cut -d ' ' -f 2`
set rev=%rev%+1
set major_line=`grep APPV_MAJOR revision.txt`
set minor_line=`grep APPV_MINOR revision.txt`
echo %major_line% > revision.txt
echo %minor_line% >> revision.txt
echo "APPV_REVISION %rev% " >> revision.txt
cat <<EOF > app_version.h
#ifndef APP_VERSION_H
#define APP_VERSION_H
#define APPV_DATE "`date`"
#define `grep APPV_MAJOR revision.txt`
#define `grep APPV_MINOR revision.txt`
#define `grep APPV_REVISION revision.txt`
#endif
EOF

